From ebd70ed42fd9b68b0da45468dd4ac9cdee7d07ec Mon Sep 17 00:00:00 2001
From: Vivek Anand <vivekanand1101@gmail.com>
Date: Apr 14 2016 07:50:21 +0000
Subject: [PATCH 9/24] Email as a string in csv


---

diff --git a/pagure_importer/lib/__init__.py b/pagure_importer/lib/__init__.py
index 702786c..91e0dd4 100644
--- a/pagure_importer/lib/__init__.py
+++ b/pagure_importer/lib/__init__.py
@@ -124,11 +124,12 @@ def assemble_github_contributors_commentors():
         found = False
         for j in contributors:
             if j.get('name', None) == i:
+                j['emails'] = j.get('emails')[0]
                 names.append(j)
                 found = True
 
         if not found:
-            d = {'name': i, 'fullname': None, 'emails': []}
+            d = {'name': i, 'fullname': None, 'emails': None}
             names.append(d)
 
     with open('assembled_commentors.csv', 'w') as ac:
@@ -142,7 +143,7 @@ def assemble_github_contributors_commentors():
 
 def github_get_commentor_email(name):
     ''' Will return the issue commentor email as given in the
-    assembled_commentors.json file
+    assembled_commentors.csv file
     '''
 
     if not os.path.exists('assembled_commentors.csv'):
@@ -162,7 +163,8 @@ def github_get_commentor_email(name):
     for i in data:
         if i.get('name', None) == name:
             if i['emails']:
-                return i['emails']
+                return str(i['emails'])
             else:
                 raise EmailNotFound('You need to fill out all the emails of the \
                         issue commentors')
+
diff --git a/pagure_importer/lib/sources/importer_github.py b/pagure_importer/lib/sources/importer_github.py
index 2e635b6..2859e99 100644
--- a/pagure_importer/lib/sources/importer_github.py
+++ b/pagure_importer/lib/sources/importer_github.py
@@ -112,7 +112,8 @@ class GithubImporter():
                 pagure_issue_comment_user = models.User(
                         name=comment_user.login,
                         fullname=comment_user.name,
-                        emails=[comment_user.email] if comment_user.email else github_get_commentor_email(comment_user.login))
+                        emails=[comment_user.email] if comment_user.email \
+                                else [github_get_commentor_email(comment_user.login)])
 
                 #Object to represent comment on an issue
                 pagure_issue_comment = models.IssueComment(

